public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "José María Alonso" <nimiux@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/lisp:master commit in: x11-wm/stumpwm/
Date: Thu, 31 May 2018 16:44:12 +0000 (UTC)	[thread overview]
Message-ID: <1527785048.ce44969b9e3b31c9d045d7939857ef8bc63ee041.nimiux@gentoo> (raw)

commit:     ce44969b9e3b31c9d045d7939857ef8bc63ee041
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Thu May 31 16:44:08 2018 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Thu May 31 16:44:08 2018 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=ce44969b

x11-stumpwm: Bump version to 18.05

 x11-wm/stumpwm/stumpwm-18.05.ebuild | 76 +++++++++++++++++++++++++++++++++++++
 1 file changed, 76 insertions(+)

diff --git a/x11-wm/stumpwm/stumpwm-18.05.ebuild b/x11-wm/stumpwm/stumpwm-18.05.ebuild
new file mode 100644
index 00000000..1da69a1a
--- /dev/null
+++ b/x11-wm/stumpwm/stumpwm-18.05.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit common-lisp-3 autotools elisp-common xdg-utils versionator
+
+DESCRIPTION="Stumpwm is a Window Manager written entirely in Common Lisp."
+HOMEPAGE="https://stumpwm.github.io/"
+SRC_URI="https://github.com/stumpwm/stumpwm/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="contrib doc emacs"
+
+RESTRICT="strip mirror"
+
+RDEPEND="dev-lisp/alexandria
+		dev-lisp/cl-ppcre
+		dev-lisp/clx
+		>=dev-lisp/sbcl-1.3.0
+		emacs? ( virtual/emacs app-emacs/slime )"
+DEPEND="${RDEPEND}
+		sys-apps/texinfo
+		doc? ( virtual/texi2dvi )"
+
+PDEPEND="contrib? ( x11-wm/stumpwm-contrib )"
+
+SITEFILE=70${PN}-gentoo.el
+CLPKGDIR="${CLSOURCEROOT}/${CLPACKAGE}"
+
+install_docs() {
+	local pdffile="${PN}.pdf"
+
+	texi2pdf -o "${pdffile}" "${PN}.texi.in" && dodoc "${pdffile}" || die
+	cp "${FILESDIR}/README.Gentoo" . && sed -i "s:@VERSION@:${PV}:" README.Gentoo || die
+	dodoc AUTHORS NEWS README.md README.Gentoo
+	doinfo "${PN}.info"
+	docinto examples
+	dodoc sample-stumpwmrc.lisp
+}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	xdg_environment_reset
+	econf --with-lisp=sbcl
+}
+
+src_compile() {
+	emake
+}
+
+src_install() {
+	dobin stumpwm
+	make_session_desktop StumpWM /usr/bin/stumpwm
+
+	common-lisp-install-sources *.lisp
+	common-lisp-install-asdf
+	# Fix ASDF dir
+	sed -i -e "/(:directory/c\   (:directory \"${CLPKGDIR}\")" \
+		"${D}${CLPKGDIR}/load-stumpwm.lisp" || die
+	use doc && install_docs
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2018-05-31 16:44 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-31 16:44 José María Alonso [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-25 19:24 [gentoo-commits] proj/lisp:master commit in: x11-wm/stumpwm/ Ulrich Müller
2018-03-09 21:36 José María Alonso
2018-03-09 21:36 José María Alonso
2018-03-09 17:41 José María Alonso
2018-03-09 17:41 José María Alonso
2018-03-05 19:19 José María Alonso
2018-02-03 22:06 José María Alonso
2017-10-28 20:27 José María Alonso
2017-10-28 14:49 José María Alonso
2017-08-24 20:54 José María Alonso
2017-07-31 15:12 José María Alonso
2017-07-17  8:36 José María Alonso
2017-07-13 16:03 José María Alonso
2017-07-13 15:26 José María Alonso
2017-04-27  9:08 José María Alonso
2017-02-03  8:21 José María Alonso
2017-02-02 22:25 José María Alonso
2017-02-02 22:23 José María Alonso
2017-02-02 10:12 José María Alonso
2017-01-22 16:17 José María Alonso
2017-01-15 16:45 José María Alonso
2016-03-17 11:04 José María Alonso
2016-03-02 14:04 José María Alonso
2016-03-02 13:55 José María Alonso
2016-03-02 13:53 José María Alonso
2014-11-25 20:46 José María Alonso
2014-11-11 23:16 José María Alonso
2014-07-23 19:38 José María Alonso
2014-11-11 23:16 ` José María Alonso
2014-07-21 12:18 José María Alonso
2014-07-21 10:29 José María Alonso
2014-07-21 10:27 José María Alonso
2014-04-28 13:59 José María Alonso
2014-04-28 12:36 José María Alonso
2014-04-28 11:14 José María Alonso

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1527785048.ce44969b9e3b31c9d045d7939857ef8bc63ee041.nimiux@gentoo \
    --to=nimiux@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox